Mon avis sur Dart

Erlang et mnesia:select

Erlang et mnesia:select

Javascript Nowhere

Javascript Nowhere

Les plans pour Ruby 1.8.7

Bonjour à vous qui suivez l'actualité de Ruby, et merci pour votre implication dans notre communauté.

Je sais qu'une grande partie d'entre vous utilise la version 1.8.7 de Ruby. Cette version, sortie en 2008, était alors la version la plus avancée. Je suis fier de pouvoir dire que ce n'est définitivement plus le cas. Les développeurs core de Ruby ont travaillé sur la nouvelle version, Ruby 1.9, et sont sur le point de sortir la version 1.9.3. J'utilise Ruby 1.9 depuis des années et je ne pourrais décemment pas revenir en arrière : des fonctionnalités avancées, une exécution plus rapide, RubyGems intégré, Rails qui fonctionne parfaitement… le résultat est tout simplement magnifique. Aussi, s'il vous plaît : passez à Ruby 1.9 !

Toutefois, je sais que vous ne pouvez pas nécessairement faire la transition vers Ruby 1.9 tout de suite, pour diverses raisons. Peut-être avez-vous des applications déjà déployées avec 1.8.7, ou bien utilisez des bibliothèques provenant de sources tierces qui ne fonctionnent qu'avec Ruby 1.8.7. Peut-être que votre distribution Linux ne prend en charge que Ruby 1.8.7. Pour donner de la visibilité pour tous ces cas de figure, je souhaite annoncer précisément pour combien de temps vous allez pouvoir utiliser Ruby 1.8.7. L'idée générale étant que, s'il est tout à fait possible d'utiliser 1.8.7 en production aujourd'hui, ce ne sera plus le cas dans quelque temps.

Voici l'agenda :

  • Nous continuerons de fournir une maintenance normale pour 1.8.7 jusqu'à juin 2012. Vous pouvez donc partir du principe que nous fournirons des correctifs de bugs, et qu'aucune incompatibilité ne sera introduite.
  • Après cela (à partir de juin 2012), nous arrêterons les correctifs de bugs. Nous fournirons encore des correctifs de sécurité jusqu'à juin 2013, au cas où vous utiliseriez toujours 1.8.7.
  • Nous ne supporterons plus 1.8.7, de quelque manière que ce soit, après juin 2013.

Développer des modules pour VIM

Revue mensuelle du 1er octobre 2011

Ruby France publie une fois par mois une revue de ses actions et l’activité autour de Ruby en France et dans le monde :

Interviews

Camille Roux a interviewé 3 membres de la communauté Ruby française :

Refontes

Le futur de Ruby

Tutoriels

Sorties

  • Rails Installer pour Windows a atteint la version 2.
  • Mini Record est une extension pour ActiveRecord qui permet d’écrire le schéma directement dans les modèles (à la façon de DataMapper).
  • Gem release est un outil qui vous simplifie la vie pour la publication des gems.
  • Fatigué de taper bundle exec aussi souvent ? Alors, Rubygems-Bundler est fait pour vous !

Revue mensuelle du 1er octobre 2011

Ruby France publie une fois par mois une revue de ses actions et l’activité autour de Ruby en France et dans le monde :

Interviews

Camille Roux a interviewé 3 membres de la communauté Ruby française :

Refontes

Le futur de Ruby

Tutoriels

Sorties

  • Rails Installer pour Windows a atteint la version 2.
  • Mini Record est une extension pour ActiveRecord qui permet d’écrire le schéma directement dans les modèles (à la façon de DataMapper).
  • Gem release est un outil qui vous simplifie la vie pour la publication des gems.
  • Fatigué de taper bundle exec aussi souvent ? Alors, Rubygems-Bundler est fait pour vous !